User Tools

Site Tools


diana:installationnotes

Installation Notes

Ubuntu 11.04

Experimental Packages

To install from the command line:

sudo dpkg -i libfelt-0.32-0_0.32-2_i386.deb libfimex-0.32-0_0.32-2_i386.deb diana_3.25.0-ubuntu4_i386.deb

Alternatively, launching the files from the file browser will cause the Ubuntu Software Center to open, and they can be installed from there.

You should now be able to follow the rest of the steps on the Getting Started page.

Using Packages for 10.04 (Lucid)

This describes the steps needed to install the diana_3.25.deb package created for Ubuntu 10.04 (Lucid) on Ubuntu 11.04 (Natty).

Add the old repositories to the sources list in the /etc/apt/sources.list file. Synaptic can be used for this, if desired:

deb http://archive.ubuntu.com/ubuntu lucid main restricted
deb http://archive.ubuntu.com/ubuntu lucid universe
deb http://archive.ubuntu.com/ubuntu lucid multiverse

Install the old dependencies:

sudo apt-get install libboost-filesystem1.40.0 libproj0 libboost-date-time1.40.0 \
                     libboost-regex1.40.0 libgrib-api-0d-0 libnetcdf4 libudunits2-0 \
                     libavcodec-extra-52 libavformat52 libavutil-extra-49 \
                     libboost-thread1.40.0 libmysqlclient16 libomniorb4-1 \
                     libomnithread3c2 libqt4-network libqt4-opengl libqt4-xml \
                     libqtcore4 libqtgui4 libgrib-api-0d-0 \
                     libgeotiff1.2 liblog4cpp5 libpq5 libpqxx-2.6.9ldbl libshp1 proj \
                     proj-bin

Install the Diana-related packages:

sudo dpkg -i libfelt-0.28-0_0.28-2_i386.deb libfimex-0.28-0_0.28-2_i386.deb diana_3.25.0-ubuntu3_i386.deb

You should now be able to follow the rest of the steps on the Getting Started page.

diana/installationnotes.txt · Last modified: 2011-10-25 10:20:17 by davidb